/**
 * A package is group of instances of Wix services that a reseller offers to a
 * customer as part of a single transaction.
 */
export interface EmptyEntity {
}
export interface PublishSiteRequest {
}
export interface PublishSiteResponse {
}
export interface DeployStandalonePagesRequest {
}
export interface DeployStandalonePagesResponse {
}
export interface DuplicateSiteRequest {
    /**
     * ID of the site to duplicated.
     * @format GUID
     */
    sourceSiteId: string;
    /**
     * Display name for the new site.
     * @minLength 1
     * @maxLength 40
     */
    siteDisplayName: string;
}
export interface DuplicateSiteResponse {
    /**
     * ID of the new site.
     * @format GUID
     */
    newSiteId?: string;
}
export interface BulkDeleteSiteRequest {
    /**
     * Site IDs.
     *
     * Min: 1 site ID <br>
     * Max: 20 site IDs
     * @format GUID
     * @minSize 1
     * @maxSize 20
     */
    ids: string[];
}
export interface BulkDeleteSiteResponse {
    /** List of deletion results. */
    results?: BulkSiteResult[];
    /** Summary of deletion data. */
    bulkActionMetadata?: BulkActionMetadata;
}
export interface BulkSiteResult {
    /** Result of deletion request per site describing the success or failure of each deletion. */
    itemMetadata?: ItemMetadata;
}
export interface ItemMetadata {
    /** Site ID. */
    id?: string | null;
    /** Index of the site in the request array. Allows for correlation between request and response. */
    originalIndex?: number;
    /** Whether the requested action was successful for the site. When `false`, the action failed and an `error` object is populated. */
    success?: boolean;
    /** Details about the error. */
    error?: ApplicationError;
}
export interface ApplicationError {
    /** Error code. */
    code?: string;
    /** Description of error. */
    description?: string;
}
export interface BulkActionMetadata {
    /** Number of sites that were deleted successfully. */
    totalSuccesses?: number;
    /** Number of sites that were not deleted successfully. */
    totalFailures?: number;
}
export interface DuplicateSiteResponseNonNullableFields {
    newSiteId: string;
}
interface ApplicationErrorNonNullableFields {
    code: string;
    description: string;
}
interface ItemMetadataNonNullableFields {
    originalIndex: number;
    success: boolean;
    error?: ApplicationErrorNonNullableFields;
}
interface BulkSiteResultNonNullableFields {
    itemMetadata?: ItemMetadataNonNullableFields;
}
interface BulkActionMetadataNonNullableFields {
    totalSuccesses: number;
    totalFailures: number;
}
export interface BulkDeleteSiteResponseNonNullableFields {
    results: BulkSiteResultNonNullableFields[];
    bulkActionMetadata?: BulkActionMetadataNonNullableFields;
}
export {};
